# $Id: spong.mk,v 1.6 2001/06/27 19:29:18 supermathie Exp $
#
#
# Spong version

SPONGVER=2.7.5

#---- Operating system list [ should match ./config/spong.conf.$OS ]

OS=aix bsdi freebsd hpux irix linux osf1 solaris

#---- Arrays from build script
#
# I don't think I'm using these at the moment but it still helps to track 
# spong version differences 

BINLIST= \
	spong spong-server spong-network spong-client spong-message \
	spong-ack spong-cleanup spong-status

LIBLIST= \
	Ack AckList History HistoryList Host HostList Info Service \
	ServiceList Log Logger

CGILIST= www-spong www-spong-ack wap-spong

#---- New "Arrays"

DAEMONS= \
	$(BINDIR)/spong-ack \
	$(BINDIR)/spong-cleanup \
	$(BINDIR)/spong-client \
	$(BINDIR)/spong-message \
	$(BINDIR)/spong-network \
	$(BINDIR)/spong-server \
	$(BINDIR)/spong-status \
	$(BINDIR)/spong

# For client
# CCONFIGS= spong.conf spong.hosts spong.groups spong.message
CCONFIGS= spong.conf

CONFIGS= \
	$(ETCDIR)/spong.conf \
	$(ETCDIR)/spong.hosts \
	$(ETCDIR)/spong.groups \
	$(ETCDIR)/spong.message

# For server, LIBRARY is lib/Spong/
# For client, LIBRARY is lib/Spong/Client + CLIENT_LIBS in lib/Spong

CLIENT_LIBS=Daemon.pm Status.pm Log.pm Logger.pm

WEBDIRS = \
	$(WWWDIR)/docs \
	$(WWWDIR)/gifs \
	$(WWWDIR)/docs
#
# This is somewhat ridiculous.  We really only want to munge help.html
# but:
#   1. If we install $(WWWDIR)/html then help.html is up-to-date.
#   2. If we have a target $(WWWDIR)/%: it hides $(WWWDIR)/html/%:
# Need to talk to Stephen about completely redoing the documentation
# part of this.

WEBPAGES = \
	$(WWWDIR)/html/cpu.html \
	$(WWWDIR)/html/disk.html \
	$(WWWDIR)/html/dns.html \
	$(WWWDIR)/html/ftp.html \
	$(WWWDIR)/html/help.html \
	$(WWWDIR)/html/history.html \
	$(WWWDIR)/html/home.html \
	$(WWWDIR)/html/host.html \
	$(WWWDIR)/html/http.html \
	$(WWWDIR)/html/imap.html \
	$(WWWDIR)/html/jobs.html \
	$(WWWDIR)/html/lan.html \
	$(WWWDIR)/html/logs.html \
	$(WWWDIR)/html/nntp.html \
	$(WWWDIR)/html/ping.html \
	$(WWWDIR)/html/pop3.html \
	$(WWWDIR)/html/procs.html \
	$(WWWDIR)/html/service.html \
	$(WWWDIR)/html/smtp.html \
	$(WWWDIR)/html/unix.html

CGISCRIPTS= \
	$(CGIDIR)/www-spong \
	$(CGIDIR)/www-spong-ack \
	$(CGIDIR)/wap-spong

